function u = solve_poisson(integerN, f)
  ##
  ## Numerically solve the poisson equation,
  ##
  ##   -u_xx(x) = f(x)
  ##
  ## in one dimension, subject to the boundary conditions,
  ##
  ##   u(0) = 0
  ##   u(1) = 1
  ##
  ## over the interval [0,1]. It is assumed that the function `f` is at
  ## least continuous on [0,1].
  ##

  [xs,h] = partition(integerN, a, b);
end
